Page MenuHomePhabricator

Increment edit count for all page moves, not just Special:MovePage moves
Closed, ResolvedPublic

Description

When a page with a talk page (A and Talk:A, for example) is moved, only the subject page move is included in the user_editcount field. But really, all page moves should be included, not just the subject page move. Likewise, renaming a user should also increment the edit count field for every page being moved. T163966 only incremented the edit count when using Special:MovePage, but that should be done for any move in general.

See also:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2018, 1:23 AM

Change 421801 had a related patch set uploaded (by GeoffreyT2000; owner: GeoffreyT2000):
[mediawiki/core@master] Increment edit count for all page moves

https://gerrit.wikimedia.org/r/421801

Vvjjkkii renamed this task from Increment edit count for all page moves, not just Special:MovePage moves to dbcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from dbcaaaaaaa to Increment edit count for all page moves, not just Special:MovePage moves.Jul 2 2018, 3:48 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Krinkle updated the task description. (Show Details)Jul 14 2018, 3:58 AM
Krinkle added a project: Growth-Team.
Krinkle added subscribers: kaldari, SBisson.
MMiller_WMF added a subscriber: MMiller_WMF.

Removing the Growth tag and adding "Core Platform Team". We're not going to be able to prioritize this given our team's upcoming work on new user retention. Tagging Core Platform in case this is something that fits in their portfolio.

CCicalese_WMF triaged this task as Low priority.Aug 14 2018, 2:08 AM
CCicalese_WMF moved this task from Inbox to Backlog on the Core-Platform-Team-Old board.

Change 421801 merged by jenkins-bot:
[mediawiki/core@master] Increment edit count for all page moves

https://gerrit.wikimedia.org/r/421801

@GeoffreyT2000, this task seems resolved to me. Anything else?

GeoffreyT2000 closed this task as Resolved.May 5 2019, 9:18 PM
GeoffreyT2000 claimed this task.

Indeed, this should have already been closed half a year ago.